Bug 844173 - Review Request: emacs-evil - Extensible vi layer for Emacs
Review Request: emacs-evil - Extensible vi layer for Emacs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 845134 845769
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 10:45 EDT by Sébastien Willmann
Modified: 2012-09-17 20:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 09:26:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sébastien Willmann 2012-07-29 10:45:02 EDT
Spec URL: http://wilqu.fr/rpms/emacs-evil/emacs-evil.spec
SRPM URL: http://wilqu.fr/rpms/emacs-evil/emacs-evil-0.1-0.1.20120729git052e701.fc17.src.rpm
Description: Evil is an extensible vi layer for Emacs. It provides Vim features like Visual selection and text objects, and is the successor to Vimpulse and vim-mode.
Fedora Account System Username: wilqu
Project URL: http://emacswiki.org/emacs/Evil
Comment 1 Sébastien Willmann 2012-07-29 10:59:27 EDT
`--> rpmlint emacs-evil-0.1-0.1.20120729git052e701.fc17.src.rpm 
emacs-evil.src: W: spelling-error Summary(fr) vi -> ci, fi, vu
emacs-evil.src: W: spelling-error %description -l fr vi -> ci, fi, vu
emacs-evil.src: W: spelling-error %description -l fr vim -> vil, via, vie
emacs-evil.src: W: invalid-url Source0: evil-0.1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


`--> rpmlint emacs-evil-0.1-0.1.20120729git052e701.fc17.noarch.rpm 
emacs-evil.noarch: W: spelling-error Summary(fr) vi -> ci, fi, vu
emacs-evil.noarch: W: spelling-error %description -l fr vi -> ci, fi, vu
emacs-evil.noarch: W: spelling-error %description -l fr vim -> vil, via, vie
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 2 Michael Scherer 2012-07-29 15:36:31 EDT
Hi,

There is no license shipped upstream, nor any mention of any license in source code ( except the documentation under GFDL )

So we cannot distribute it, can you ask upstream to correct this ?
Comment 3 Sébastien Willmann 2012-07-29 15:56:29 EDT
The file evil.el contains license informations (line 60).
Comment 4 Michael Scherer 2012-07-30 04:48:55 EDT
Indeed. But this would still be cleaner to have the notice in every file ( to avoid something like http://spot.livejournal.com/315383.html ), and at least have the license shipped in a different file.
Comment 5 Sébastien Willmann 2012-07-30 07:35:09 EDT
Wrote to upstream mailing list.

I just noticed that the package depends on external libraries. I'll have to add them to requires, and maybe to package them as well.
Comment 6 Sébastien Willmann 2012-08-04 16:54:36 EDT
Spec URL: http://wilqu.fedorapeople.org/reviews/emacs-evil/emacs-evil.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/emacs-evil/emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.src.rpm

Upstream answered positively. All source files now contain license information, and COPYING has been added. The license has been upgraded to GPLv3+ in the same time.

I also added emacs-goto-chg and emacs-undo-tree in Requires. Those packages also need to be reviewed.
Comment 7 Michael Scherer 2012-09-02 06:46:41 EDT
There is 2 issues :
1) package doesn't install, but i guess it does on rawhide or f18, so it is ok for me.
There is no %check, despites having a test target in the makefile. Could you check and add it to the spec ?

otherwise, this is approved.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: %check is present and all tests pass.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: No description for test named CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 286720 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (evil-0.1.tar.xz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.26 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.26
INFO: Mock Version: 1.1.26
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/844173-emacs-evil/results/emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/844173-emacs-evil/results/emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch (/emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch)
             Requiert : emacs-undo-tree
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
Erreur : Paquet : emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch (/emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch)
             Requiert : emacs-goto-chg
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.src.rpm
          emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch.rpm
emacs-evil.src: W: spelling-error Summary(fr) vi -> ci, fi, vu
emacs-evil.src: W: spelling-error %description -l fr vi -> ci, fi, vu
emacs-evil.src: W: spelling-error %description -l fr vim -> vil, via, vie
emacs-evil.src: W: invalid-url Source0: evil-0.1.tar.xz
emacs-evil.noarch: W: spelling-error Summary(fr) vi -> ci, fi, vu
emacs-evil.noarch: W: spelling-error %description -l fr vi -> ci, fi, vu
emacs-evil.noarch: W: spelling-error %description -l fr vim -> vil, via, vie
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    emacs(bin) >= 24.1
    emacs-goto-chg  
    emacs-undo-tree  



Provides
--------
emacs-evil-0.1-0.2.20120804gitd0cb72b.fc17.noarch.rpm:
    
    emacs-evil = 0.1-0.2.20120804gitd0cb72b.fc17



MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 844173
Comment 8 Sébastien Willmann 2012-09-02 12:35:17 EDT
You can solve the installation problem by enabling updates-testing.

There is a test target in the Makefile (I didn't notice it) but some tests fail.
Comment 9 Sébastien Willmann 2012-09-02 12:36:54 EDT
New Package SCM Request
=======================
Package Name: emacs-evil
Short Description: Extensible vi layer for Emacs
Owners: wilqu
Branches: f16 f17 f18
InitialCC:
Comment 10 Michael Scherer 2012-09-02 13:05:10 EDT
Tests failing should be discussed with upstream, i think
either there is a compatibility issue, or the tests are wrong.
Comment 11 Gwyn Ciesla 2012-09-02 20:17:49 EDT
Git done (by process-git-requests).
Comment 12 Sébastien Willmann 2012-09-03 08:22:25 EDT
Wrote to upstream mailing list about the tests.
Comment 13 Sébastien Willmann 2012-09-03 09:26:56 EDT
Built successfully for all branches. I'll wait for upstream's answer before submitting updates.
Comment 14 Fedora Update System 2012-09-07 08:44:45 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emacs-evil-0.1-0.3.20120902gitc13b90e.fc18
Comment 15 Fedora Update System 2012-09-07 08:46:50 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/emacs-evil-0.1-0.3.20120902gitc13b90e.fc17
Comment 16 Fedora Update System 2012-09-07 08:47:49 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/emacs-evil-0.1-0.3.20120902gitc13b90e.fc16
Comment 17 Fedora Update System 2012-09-17 13:41:32 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-09-17 13:52:59 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc16 has been pushed to the Fedora 16 stable repository.
Comment 19 Fedora Update System 2012-09-17 20:05:11 EDT
emacs-evil-0.1-0.3.20120902gitc13b90e.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.